Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Interface ServerInvokerMBean

All Known Subinterfaces:
  SocketServerInvokerMBean, SSLSocketServerInvokerMBean

All Known Implementing Classes:
  BisocketServerInvoker, CoyoteInvoker, HTTPServerInvoker, HTTPSServerInvoker, LocalServerInvoker, MultiplexServerInvoker, RMIServerInvoker, ServerInvoker, ServletServerInvoker, SocketServerInvoker, SSLBisocketServerInvoker, SSLMultiplexServerInvoker, SSLRMIServerInvoker, SSLSocketServerInvoker, WebServerInvoker

    public interface ServerInvokerMBean

Author:
  Tom Elrod

Method Summary
`void` | `create()`
`void` | `destroy()` destory the invoker permanently
`java.lang.String` | `getClientConnectAddress()`
`int` | `getClientConnectPort()`
`java.util.Map` | `getConfiguration()` Gets teh server invoker's transport specific configuration.
`java.lang.String` | `getDataType()` Will get the data type for the marshaller factory so know which marshaller to get to marshal the data.
`java.lang.String` | `getServerBindAddress()`
`int` | `getServerBindPort()`
`int` | `getTimeout()`
`boolean` | `isStarted()` return true if the server invoker is started, false if not
`boolean` | `isTransportBiDirectional()` returns true if the transport is bi-directional in nature, for example, SOAP in unidirectional and SOCKETs are bi-directional (unless behind a firewall for example).
`void` | `setClientConnectAddress(java.lang.String clientConnectAddress)` This method should only be called by the service controller when this invoker is specified within the Connector configuration of a service xml.
`void` | `setClientConnectPort(int clientConnectPort)`
`void` | `setConfiguration(java.util.Map configuration)` Sets the server invoker's transport specific configuration.
`void` | `setTimeout(int timeout)`
`void` | `start()` subclasses should override to provide any specific start logic
`void` | `stop()` subclasses should override to provide any specific stop logic

Method Detail

### getDataType

    java.lang.String getDataType()

  Will get the data type for the marshaller factory so know which marshaller to get to marshal the data. Will first check the locator uri for a 'datatype' parameter and take that value if it exists. Otherwise, will use the default datatype for the client invoker, based on transport.

  Returns:

### isTransportBiDirectional

    boolean isTransportBiDirectional()

  returns true if the transport is bi-directional in nature, for example, SOAP in unidirectional and SOCKETs are bi-directional (unless behind a firewall for example).

  Returns:

### create

    void create()

### start

    void start()
               throws java.io.IOException

  subclasses should override to provide any specific start logic

  Throws:
    `java.io.IOException`

### isStarted

    boolean isStarted()

  return true if the server invoker is started, false if not

  Returns:

### stop

    void stop()

  subclasses should override to provide any specific stop logic

### destroy

    void destroy()

  destory the invoker permanently

### setConfiguration

    void setConfiguration(java.util.Map configuration)

  Sets the server invoker's transport specific configuration. Will need to set before calling start() method (or at least stop() and start() again) before configurations will take affect.

  Parameters:
    `configuration` -

### getConfiguration

    java.util.Map getConfiguration()

  Gets teh server invoker's transport specific configuration.

  Returns:

### getClientConnectAddress

    java.lang.String getClientConnectAddress()

### getClientConnectPort

    int getClientConnectPort()

### setClientConnectAddress

    void setClientConnectAddress(java.lang.String clientConnectAddress)

  This method should only be called by the service controller when this invoker is specified within the Connector configuration of a service xml. Calling this directly will have no effect, as will be used in building the locator uri that is published for detection and this happens when the invoker is first created and started (after that, no one will be aware of a change).

### getServerBindAddress

    java.lang.String getServerBindAddress()

### getServerBindPort

    int getServerBindPort()

### setClientConnectPort

    void setClientConnectPort(int clientConnectPort)

### setTimeout

    void setTimeout(int timeout)

### getTimeout

    int getTimeout()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.